#?????????
microservice:
  ename: @artifactId@
  name: '@name@'
  version: @version@
  sentinel:
    url: @sentinel.url@
  gateway:
    url: @gateway.url@
server:
  port: 10225
  max-http-header-size: 1048576
#feign????????????
feign:
  sentinel:
    enabled: true
spring:
  application:
    name: @artifactId@
  #nacos?????????????
  cloud:
    nacos:
      discovery:
        ip: @service.server.url@
        server-addr: 192.168.1.13:18848
        namespace: dd46004f-e15b-457c-92d3-4417b8f71be0
      config:
        server-addr: 192.168.1.13:18848
        namespace: dd46004f-e15b-457c-92d3-4417b8f71be0
        file-extension: yaml
        shared-configs:
          - data-id: share-config.yaml
            refresh: true
          - data-Id: share-config-datasource-db.yaml
            refresh: true
  main:
    allow-bean-definition-overriding: true
#???????
logging:
  config: http://@nacos.url@/nacos/v1/cs/configs?tenant=@nacos.namespace@&group=DEFAULT_GROUP&dataId=logback.xml
  level:
    root: info
#mybatis????
mybatis-plus:
  type-aliases-package: com.njcn.cloud.pojo
mqtt:
  client-id: @artifactId@${random.value}

